summaryrefslogtreecommitdiff
path: root/src/mods/configure
diff options
context:
space:
mode:
authoradmin (centauri.fritz.box) <puppet@mx.buetow.org>2014-07-01 20:17:26 +0200
committeradmin (centauri.fritz.box) <puppet@mx.buetow.org>2014-07-01 20:17:26 +0200
commit0b4ccf59b27f0a8de71b10120b50c916fdbc46a0 (patch)
tree4252a66e1438004c08c1ac96338a0352a2408d58 /src/mods/configure
parenta7aa66722070de6ab2e84e5a1311b96c98f36e14 (diff)
parentc67ed39bc994a0aef06454c1e3044e79f712b739 (diff)
Merge remote-tracking branch 'remotes/github/ychat-0.7' into ychat-0.7ychat-0.7
Diffstat (limited to 'src/mods/configure')
-rwxr-xr-xsrc/mods/configure26
1 files changed, 26 insertions, 0 deletions
diff --git a/src/mods/configure b/src/mods/configure
new file mode 100755
index 0000000..839380b
--- /dev/null
+++ b/src/mods/configure
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+if ! test -f ../../g++.version
+then
+ echo You need to run ./configure of the top level source dir first
+ exit 1
+fi
+
+echo Creating module Makefiles...
+for dir in commands html
+do
+ if test -d $dir
+ then
+ cd $dir &&
+ srcs="SRCS=`ls *.cpp`" &&
+ echo $srcs > Makefile
+ compiler=`tail -n 1 ../../../g++.version`
+ sed s/COMPILER/$compiler/ Makefile.in >> Makefile &&
+ for i in *.cpp
+ do
+ echo "../../../mods/$dir/`echo $i | sed s/.cpp/.so/`: $i" >> Makefile
+ done
+ cd ..
+ fi
+done
+